summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSebastian Bergmann <sebastian@gentoo.org>2006-02-01 19:28:41 +0000
committerSebastian Bergmann <sebastian@gentoo.org>2006-02-01 19:28:41 +0000
commit8f69b550478312f58f21e4e19be7aa0b608fd543 (patch)
tree4654d8aa2a93c7f9d6a7f4896029cefe318bb837 /eclass/php-pear-r1.eclass
parentStable on x86, bug #121192. (diff)
downloadhistorical-8f69b550478312f58f21e4e19be7aa0b608fd543.tar.gz
historical-8f69b550478312f58f21e4e19be7aa0b608fd543.tar.bz2
historical-8f69b550478312f58f21e4e19be7aa0b608fd543.zip
Do not connect to channel servers (PEAR 1.4).
Diffstat (limited to 'eclass/php-pear-r1.eclass')
-rw-r--r--eclass/php-pear-r1.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/php-pear-r1.eclass b/eclass/php-pear-r1.eclass
index dbdf0359793f..c9883acd29d5 100644
--- a/eclass/php-pear-r1.eclass
+++ b/eclass/php-pear-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/php-pear-r1.eclass,v 1.10 2006/01/23 14:36:18 sebastian Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/php-pear-r1.eclass,v 1.11 2006/02/01 19:28:41 sebastian Exp $
#
# Author: Tal Peer <coredumb@gentoo.org>
# Maintained by the PHP Herd <php-bugs@gentoo.org>
@@ -61,7 +61,7 @@ php-pear-r1_src_install() {
if has_version '=dev-php/PEAR-PEAR-1.3*' ; then
pear -d php_bin="${PHP_BIN}" install --nodeps --installroot="${D}" "${S}/package.xml" || die "Unable to install PEAR package"
else
- pear -d php_bin="${PHP_BIN}" install --nodeps --packagingroot="${D}" "${S}/package.xml" || die "Unable to install PEAR package"
+ pear -d php_bin="${PHP_BIN}" install --offline --nodeps --packagingroot="${D}" "${S}/package.xml" || die "Unable to install PEAR package"
fi
rm -rf "${D}/usr/share/php/.channels" \
"${D}/usr/share/php/.depdblock" \